2026-05-05 23:02:51 UTC
295 MB
/usr/java/openjdk-27
JAVA_VERSION27-ea+20
LANGC.UTF-8
PATH/usr/java/openjdk-27/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:ec2c75dc3bcdc3cbe3d81597cf6bc4be9a4be0da377a5e9e20a8ca4ce05ceafe - 13.93% (41.1 MB)
[#001] sha256:4a4d1b9a15d22b55f24dd92483a1996076e044e82e19cbfc38420e330fd7a386 - 12.18% (35.9 MB)
[#002] sha256:a70f23a14e1fbc561de0c7a06a49a53be33edcb28d39665d6eee23db201555cc - 73.88% (218 MB)
ADD oraclelinux-10-slim-amd64-rootfs.tar.xz / # buildkit
2026-05-04 22:03:00 UTC (buildkit.dockerfile.v0)CMD ["/bin/bash"]
2026-05-05 23:02:38 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all # buildkit
2026-05-05 23:02:51 UTC (buildkit.dockerfile.v0)ENV JAVA_HOME=/usr/java/openjdk-27
2026-05-05 23:02:51 UTC (buildkit.dockerfile.v0)ENV PATH=/usr/java/openjdk-27/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2026-05-05 23:02:51 UTC (buildkit.dockerfile.v0)ENV LANG=C.UTF-8
2026-05-05 23:02:51 UTC (buildkit.dockerfile.v0)ENV JAVA_VERSION=27-ea+20
2026-05-05 23:02:51 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; arch="$(rpm --query --queryformat='%{ARCH}' rpm)"; case "$arch" in 'x86_64') downloadUrl='https://download.java.net/java/early_access/jdk27/20/GPL/openjdk-27-ea+20_linux-x64_bin.tar.gz'; downloadSha256='a7c288898b71578ab424b0234102cb576ac5cf71c31bbdacc5d610a36be3d9cb'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk27/20/GPL/openjdk-27-ea+20_linux-aarch64_bin.tar.gz'; downloadSha256='47a8c6fedd9b292e5b5a5ad9e4cd238eecfc4d1cf098f052d48e7b6f19a0b025'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version # buildkit
2026-05-05 23:02:51 UTC (buildkit.dockerfile.v0)CMD ["jshell"]
2026-05-05 23:01:40 UTC
2.19 GB
C:\openjdk-27
JAVA_SHA2565499df903e0ea0fb9652da36292197a89324f03f18fc670d4af55d54c5a75687
JAVA_URLhttps://download.java.net/java/early_access/jdk27/20/GPL/openjdk-27-ea+20_windows-x64_bin.zip
JAVA_VERSION27-ea+20
[#000] sha256:0938cf51b672b81c9804d1d5f0c57031c931f41b279270e84820c63642d6a3bd - 64.65% (1.42 GB)
[#001] sha256:3642e4b8bb65ad3768f9f74a0dc48bb2e3294779b5d51573a234bfbe4f65324e - 25.76% (579 MB)
[#002] sha256:ba25f10142e04eaa4f1a4b100591667fb5223281f472a85ba0715fa43973b42c - 0.0% (1.27 KB)
[#003] sha256:8b2c391f78a3c64fcd513c117a4524f93e9f8f6b808f8a5a5ff84c7acdc85082 - 0.02% (362 KB)
[#004] sha256:2ce38463a8d0ab9af10e93337a3361fe18969f4eaa8d96a0f3c0777eeb054544 - 0.0% (1.3 KB)
[#005] sha256:e2bcfac10a308f61ecab150b4b3f64a0c902f5591c5c7a5d3232e9334e5e3a44 - 0.02% (363 KB)
[#006] sha256:7b1221112cc13a8c99673908638c51f4f674d2d057962f65646f349187dbdc35 - 0.0% (1.29 KB)
[#007] sha256:a0b23fd73c144b7808bc6ddbae8c365ef4a2a7ca89f84d9ffbc3fc6922d0c946 - 0.0% (1.29 KB)
[#008] sha256:aae7b0e63c608559d8b65a8414e09503e6d6b346f43169a6dc472eb12d097bfb - 0.0% (1.29 KB)
[#009] sha256:03792966c2c3fb38e7f27aca5544b55503316d3a4dc16d8db6fb190d96c8c1b6 - 9.55% (215 MB)
[#010] sha256:9091292491ea459e809847a9d1bee1760f8d23966b57a5175f112ea7dfb0fea4 - 0.0% (1.3 KB)
Apply image 10.0.26100.32230
2026-04-13 07:00:46 UTCInstall update 10.0.26100.32690
2026-05-05 22:59:59 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2026-05-05 23:00:56 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'
2026-05-05 23:00:57 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-27
2026-05-05 23:01:03 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'
2026-05-05 23:01:04 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=27-ea+20
2026-05-05 23:01:05 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk27/20/GPL/openjdk-27-ea+20_windows-x64_bin.zip
2026-05-05 23:01:06 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=5499df903e0ea0fb9652da36292197a89324f03f18fc670d4af55d54c5a75687
2026-05-05 23:01:39 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'
2026-05-05 23:01:40 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]
2026-05-05 23:02:09 UTC
2.14 GB
C:\openjdk-27
JAVA_SHA2565499df903e0ea0fb9652da36292197a89324f03f18fc670d4af55d54c5a75687
JAVA_URLhttps://download.java.net/java/early_access/jdk27/20/GPL/openjdk-27-ea+20_windows-x64_bin.zip
JAVA_VERSION27-ea+20
[#000] sha256:3cc21a1b754848d23f00aa65cb94ec34c9a5dc6028b3aada42039c824738d02f - 64.85% (1.39 GB)
[#001] sha256:7111ae68f8961455d230dc12d44c2193d29b7c981e35417323613a0c1aa06384 - 25.31% (554 MB)
[#002] sha256:cbdd9ce40371c9ec789b1e772bfe08819d562afa0f8fbe3276f8ee03e83a1868 - 0.0% (1.29 KB)
[#003] sha256:59be0aa233d1cdefb8d3fd8dcdb843328246ebd8c9fdb0941c1ba4f5cab4345b - 0.02% (471 KB)
[#004] sha256:5ac8488ea48fdcea8f7619f864416279171be676eaed46228d874ea79582e5db - 0.0% (1.29 KB)
[#005] sha256:7d4815d4fca2874e3b889eabae82e0c6f506f7daca18d13434eeb4e6f8714c7e - 0.02% (338 KB)
[#006] sha256:a9e68c476df70ad4687debb73a565344599aa5064bed353a750e0f0683593e80 - 0.0% (1.3 KB)
[#007] sha256:1c0be45a7b1d5ab4d4a4457c0db5cfccf06945b5aa3e456b5115abfb2e38967b - 0.0% (1.29 KB)
[#008] sha256:0fe359530f00788995b7e61f0a43ae08fd38d05cd86f862a0600e46aa91f1ed3 - 0.0% (1.3 KB)
[#009] sha256:111b49a5d55a11d68f593a8d6b6bb3ba15c48cd6de91f962d8768ec8fa9a7490 - 9.8% (215 MB)
[#010] sha256:fc57782d1b5b62efdbc1ca6fd42cc92a68dd0985d1ca393df86a86d6aa0295c9 - 0.0% (1.27 KB)
Apply image 10.0.20348.4294
2026-04-13 03:24:09 UTCInstall update 10.0.20348.5020
2026-05-05 23:00:18 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2026-05-05 23:01:13 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'
2026-05-05 23:01:14 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-27
2026-05-05 23:01:23 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'
2026-05-05 23:01:24 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=27-ea+20
2026-05-05 23:01:25 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk27/20/GPL/openjdk-27-ea+20_windows-x64_bin.zip
2026-05-05 23:01:26 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=5499df903e0ea0fb9652da36292197a89324f03f18fc670d4af55d54c5a75687
2026-05-05 23:02:03 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'
2026-05-05 23:02:09 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]
2026-05-05 23:02:59 UTC
291 MB
/usr/java/openjdk-27
JAVA_VERSION27-ea+20
LANGC.UTF-8
PATH/usr/java/openjdk-27/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:5668b0574ccb4784e2840d685216839b685818991f45396bc2df53f234772cca - 13.57% (39.6 MB)
[#001] sha256:c92a87701ef34527a61b398666616cc8e6b4e19212bb38abc1100606df4ad0dd - 12.34% (36 MB)
[#002] sha256:ccffa9d312bd28f643d08f668768b9628ac18318062afcb26463e6c0096c7e64 - 74.09% (216 MB)
ADD oraclelinux-10-slim-arm64v8-rootfs.tar.xz / # buildkit
2026-05-04 21:01:45 UTC (buildkit.dockerfile.v0)CMD ["/bin/bash"]
2026-05-05 23:02:48 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all # buildkit
2026-05-05 23:02:59 UTC (buildkit.dockerfile.v0)ENV JAVA_HOME=/usr/java/openjdk-27
2026-05-05 23:02:59 UTC (buildkit.dockerfile.v0)ENV PATH=/usr/java/openjdk-27/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2026-05-05 23:02:59 UTC (buildkit.dockerfile.v0)ENV LANG=C.UTF-8
2026-05-05 23:02:59 UTC (buildkit.dockerfile.v0)ENV JAVA_VERSION=27-ea+20
2026-05-05 23:02:59 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; arch="$(rpm --query --queryformat='%{ARCH}' rpm)"; case "$arch" in 'x86_64') downloadUrl='https://download.java.net/java/early_access/jdk27/20/GPL/openjdk-27-ea+20_linux-x64_bin.tar.gz'; downloadSha256='a7c288898b71578ab424b0234102cb576ac5cf71c31bbdacc5d610a36be3d9cb'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk27/20/GPL/openjdk-27-ea+20_linux-aarch64_bin.tar.gz'; downloadSha256='47a8c6fedd9b292e5b5a5ad9e4cd238eecfc4d1cf098f052d48e7b6f19a0b025'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version # buildkit
2026-05-05 23:02:59 UTC (buildkit.dockerfile.v0)CMD ["jshell"]
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.